public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/trayer-srg/files/, x11-misc/trayer-srg/
@ 2022-12-04 23:58 Sam James
  0 siblings, 0 replies; 2+ messages in thread
From: Sam James @ 2022-12-04 23:58 UTC (permalink / raw
  To: gentoo-commits

commit:     ca9bceafa85cbe3ed4580ec8d09df7a8adc72ac9
Author:     Pascal Jäger <pascal.jaeger <AT> leimstift <DOT> de>
AuthorDate: Sat Dec  3 16:29:53 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Dec  4 23:56:17 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca9bceaf

x11-misc/trayer-srg: revbump, fix prestripping of files

Closes: https://bugs.gentoo.org/837260

Signed-off-by: Pascal Jäger <pascal.jaeger <AT> leimstift.de>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 ...yer-srg-1.1.8-avoid-prestripping-of-files.patch | 35 +++++++++++++++++++
 x11-misc/trayer-srg/trayer-srg-1.1.8-r2.ebuild     | 39 ++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/x11-misc/trayer-srg/files/trayer-srg-1.1.8-avoid-prestripping-of-files.patch b/x11-misc/trayer-srg/files/trayer-srg-1.1.8-avoid-prestripping-of-files.patch
new file mode 100644
index 000000000000..9b60893e0d08
--- /dev/null
+++ b/x11-misc/trayer-srg/files/trayer-srg-1.1.8-avoid-prestripping-of-files.patch
@@ -0,0 +1,35 @@
+From 5414b1b6f89238d60e160f580ee36505b0988447 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Pascal=20J=C3=A4ger?= <pascal.jaeger@leimstift.de>
+Date: Sat, 3 Dec 2022 17:24:58 +0100
+Subject: [PATCH] avoid prestripping of files
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+Bug: https://bugs.gentoo.org/837260
+
+Signed-off-by: Pascal Jäger <pascal.jaeger@leimstift.de>
+---
+ Makefile | 6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/Makefile b/Makefile
+index d530e25..380b46f 100644
+--- a/Makefile
++++ b/Makefile
+@@ -20,9 +20,9 @@ endif
+ TARGET = trayer
+ $(TARGET): $(OBJ)
+ 	$(CC) $(LDFLAGS) $(OBJ) -o $@ $(LIBS)
+-ifeq (,$(DEVEL))
+-	strip $@
+-endif
++# ifeq (,$(DEVEL))
++# 	strip $@
++# endif
+ 
+ all: $(TARGET)
+ 
+-- 
+2.38.1
+

diff --git a/x11-misc/trayer-srg/trayer-srg-1.1.8-r2.ebuild b/x11-misc/trayer-srg/trayer-srg-1.1.8-r2.ebuild
new file mode 100644
index 000000000000..66b135e9ea5f
--- /dev/null
+++ b/x11-misc/trayer-srg/trayer-srg-1.1.8-r2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="trayer fork with multi monitor support and cleaned up codebase"
+HOMEPAGE="https://github.com/sargon/trayer-srg"
+SRC_URI="https://github.com/sargon/${PN}/archive/${P/-srg/}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}-trayer-${PV}
+
+LICENSE="MIT GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	x11-libs/gdk-pixbuf:2
+	dev-libs/glib:2
+	x11-libs/gtk+:2
+	x11-libs/libX11
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}/${P}-avoid-prestripping-of-files.patch" )
+
+src_configure() {
+	./configure --prefix="${EPREFIX}" || die
+}
+
+src_compile() {
+	emake TARGET=${PN} CC="$(tc-getCC)"
+}
+
+src_install() {
+	dobin ${PN}
+	einstalldocs
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-misc/trayer-srg/files/, x11-misc/trayer-srg/
@ 2025-02-10  8:56 Sam James
  0 siblings, 0 replies; 2+ messages in thread
From: Sam James @ 2025-02-10  8:56 UTC (permalink / raw
  To: gentoo-commits

commit:     94ae89d1b044c24138d5c8903df68e9654a5462f
Author:     NHOrus <jy6x2b32pie9 <AT> yahoo <DOT> com>
AuthorDate: Fri Jan 31 08:08:40 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Feb 10 08:52:00 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94ae89d1

x11-misc/trayer-srg: fix build with modern C

Missing argument in function declaration in header.
Drops old, unpatched revision.

Closes: https://bugs.gentoo.org/944020
Signed-off-by: NHOrus <jy6x2b32pie9 <AT> yahoo.com>
Closes: https://github.com/gentoo/gentoo/pull/40394
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../files/trayer-srg-1.1.8-fix-define.patch        | 13 ++++++++
 x11-misc/trayer-srg/trayer-srg-1.1.8-r1.ebuild     | 38 ----------------------
 x11-misc/trayer-srg/trayer-srg-1.1.8-r2.ebuild     |  7 ++--
 3 files changed, 18 insertions(+), 40 deletions(-)

diff --git a/x11-misc/trayer-srg/files/trayer-srg-1.1.8-fix-define.patch b/x11-misc/trayer-srg/files/trayer-srg-1.1.8-fix-define.patch
new file mode 100644
index 000000000000..a58b4e9acc52
--- /dev/null
+++ b/x11-misc/trayer-srg/files/trayer-srg-1.1.8-fix-define.patch
@@ -0,0 +1,13 @@
+Add missing argument in function declaration, C23
+https://bugs.gentoo.org/944020
+--- a/bg.h
++++ b/bg.h
+@@ -9,7 +9,7 @@
+ #include <glib.h>
+ #include <gdk-pixbuf/gdk-pixbuf.h>
+ 
+-void bg_init();
++void bg_init(Display *dpyn);
+ void bg_rootbg_changed();
+ GdkPixmap *bg_new_for_win(Window win);
+ void modify_drawable(GdkDrawable *base, GdkGC *gc, guint32 tintcolor, gint alpha);

diff --git a/x11-misc/trayer-srg/trayer-srg-1.1.8-r1.ebuild b/x11-misc/trayer-srg/trayer-srg-1.1.8-r1.ebuild
deleted file mode 100644
index 857f7def615b..000000000000
--- a/x11-misc/trayer-srg/trayer-srg-1.1.8-r1.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit toolchain-funcs
-
-DESCRIPTION="trayer fork with multi monitor support and cleaned up codebase"
-HOMEPAGE="https://github.com/sargon/trayer-srg"
-SRC_URI="https://github.com/sargon/${PN}/archive/${P/-srg/}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 x86"
-
-RDEPEND="
-	x11-libs/gdk-pixbuf:2
-	dev-libs/glib:2
-	x11-libs/gtk+:2
-	x11-libs/libX11
-"
-DEPEND="${RDEPEND}"
-BDEPEND="virtual/pkgconfig"
-
-S="${WORKDIR}"/${PN}-trayer-${PV}
-
-src_configure() {
-	./configure --prefix="${EPREFIX}" || die
-}
-
-src_compile() {
-	emake TARGET=${PN} CC="$(tc-getCC)"
-}
-
-src_install() {
-	dobin ${PN}
-	einstalldocs
-}

diff --git a/x11-misc/trayer-srg/trayer-srg-1.1.8-r2.ebuild b/x11-misc/trayer-srg/trayer-srg-1.1.8-r2.ebuild
index 2676ed677f88..a7d74142df61 100644
--- a/x11-misc/trayer-srg/trayer-srg-1.1.8-r2.ebuild
+++ b/x11-misc/trayer-srg/trayer-srg-1.1.8-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -23,7 +23,10 @@ RDEPEND="
 DEPEND="${RDEPEND}"
 BDEPEND="virtual/pkgconfig"
 
-PATCHES=( "${FILESDIR}/${P}-avoid-prestripping-of-files.patch" )
+PATCHES=(
+	"${FILESDIR}/${P}-avoid-prestripping-of-files.patch"
+	"${FILESDIR}/${P}-fix-define.patch"
+	)
 
 src_configure() {
 	./configure --prefix="${EPREFIX}" || die


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2025-02-10  8:57 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-12-04 23:58 [gentoo-commits] repo/gentoo:master commit in: x11-misc/trayer-srg/files/, x11-misc/trayer-srg/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2025-02-10  8:56 Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox